"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
function SelectionAccessor(params) {
  var x = function x() {
    return params.coordinates.x;
  };

  var y = function y() {
    return params.coordinates.y;
  };

  var height = function height() {
    return params.dimensions.height;
  };

  var width = function width() {
    return params.dimensions.width;
  };

  return Object.freeze({
    x: x,
    y: y,
    height: height,
    width: width
  });
}

exports.default = SelectionAccessor;